Subject: Re: [RFC/PATCH 2/3] add a library of code for producing structured output

From: Eric Raymond <[email-masked]>
Date: Sun, 11 Apr 2010 16:57:04 -0400

Julian Phillips <[email-masked]>:
> That should be much easier.  Though actually I am fairly close to getting
> _all_ output from ls-tree going through the output library ... (i.e. even
> the normal no-option output).  I don't know what people's opinion on this
> approach is, but I thought it was worth a try anyway.

I make encouraging noises in your direction.  This approach sounds
like an orthogonality and consistency win.
-- 
		<a href="http://www.catb.org/~esr/">Eric S. Raymond</a>